org.apache.lucene.expressions.js

## Class VariableContext

- java.lang.Object
- - org.apache.lucene.expressions.js.VariableContext

-     public class VariableContext
      extends Object

  A helper to parse the context of a variable name, which is the base variable, followed by the sequence of array (integer or string indexed) and member accesses.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VariableContext.Type` Represents what a piece of a variable does.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `integer` The integer value for this piece of the variable.
    `String` | `text` The text of this piece of the variable.
    `VariableContext.Type` | `type` The type of this piece of a variable.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VariableContext[]` | `parse(String variable)` Parses a normalized javascript variable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final VariableContext.Type type

      The type of this piece of a variable.

    - #### text

          public final String text

      The text of this piece of the variable. Used for `VariableContext.Type.MEMBER` and `VariableContext.Type.STR_INDEX` types.

    - #### integer

          public final int integer

      The integer value for this piece of the variable. Used for `VariableContext.Type.INT_INDEX`.

  - ### Method Detail

    - #### parse

          public static final VariableContext[] parse(String variable)

      Parses a normalized javascript variable. All strings in the variable should be single quoted, and no spaces (except possibly within strings).

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.